### Method

# Gtk TreeStore set_valuesv

#### Declaration [src]

    void
    gtk_tree_store_set_valuesv (
      GtkTreeStore* tree_store,
      GtkTreeIter* iter,
      int* columns,
      GValue* values,
      int n_values
    )

#### Description [src]

A variant of gtk_tree_store_set_valist() which takes the columns and values as two arrays, instead of varargs. This function is mainly intended for language bindings or in case the number of columns to change is not known until run-time.

#### Parameters

`iter` | `GtkTreeIter`
| A valid `GtkTreeIter` for the row being modified.
| The data is owned by the caller of the function.
`columns` | An array of `int`
| An array of column numbers.
| The length of the array is specified in the `n_values` argument.
| The data is owned by the caller of the function.
`values` | An array of `GValue`
| An array of GValues.
| The length of the array is specified in the `n_values` argument.
| The data is owned by the caller of the function.
`n_values` | `int`
| The length of the `columns` and `values` arrays.